Get all time-offs

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

The Get all time-offs API enables users to get all time offs in their Rocketlane instances using advanced filtering options. This API is intended to provide a flexible and fast means of getting time off related data based on various parameters.

Developers can integrate the time off search feature into their applications and platforms by using this API. You can fine-tune your searches and retrieve the time offs related data you need for integration into your applications or platforms by using the available parameters.

You can use any combination of these parameters to execute searches based on your specifications. In addition to filters, sortBy and sortOrder can be used to sort the projects. The response body is paginated, and you can control the pagination using the limit and pageToken parameters.

Pagination

The Get all time-offs API accommodates pagination in the response body. The pageSize option can be used to restrict the amount of responses displayed/available in a single request. Additionally, if there are more entries than the ones accessible in the answer, the response(s) may contain the nextPageToken.

Please refer to the pagination section for further information on this.

Filtering

The capacity to execute more sophisticated and nuanced searches on a dataset by combining numerous criteria and conditions is referred to as filtering.

Complex filtering in the context of the Get all time-offs API allows users to build elaborate search queries to return specific subsets of time offs that satisfy specific requirements. By catering to a wide range of use cases, this enhanced filtering functionality considerably increases the API's utility and versatility.

The API reference includes a comprehensive range of filtering options.

Please refer to the link here for more information on how to construct the filtering criteria for time off related fields.

Criteria Match

In addition to standard filtering and custom field filtering, the Get all time-offs API also supports the use of AND and OR conditions for more advanced filtering options. Developers can combine different filters and custom field queries with these logical operators to build complex yet accurate search queries.


In case any issues arise or further assistance is required, please refer to the error handling section or reach out to our support team at [email protected] for a prompt resolution.

Query Params
number
≥ 0

This parameter sets the maximum number of responses to be displayed per page. If the page size is insufficient to accommodate the whole number of responses obtained, the pagination object will include a link to the next page as well as the next page token. If left blank, it defaults to 100.

string

Use this parameter to specify the pageToken of a page to which you want to navigate. This pageToken can be obtained from a previous request which specified a limit and will only be active for 15 minutes after it is created.

includeFields
array of strings

This query parameter allows you to specify which fields should be returned in the response body by selecting from the drop down. To get the relevant fields, use comma separated values. If the field is left blank, the default properties are returned.

includeFields
Allowed:
boolean

This query parameter allows you to specify if all the fields should be returned in the response body. If the field is left blank, the default properties are returned.

string
enum

You can use the sortBy param to sort the responses by the given field.

Allowed:
string
enum

The sortOrder param can be used to specify the sorting order, which can be Ascending (ASC) or Descending (DESC). Descending is the default option.

Allowed:
string
enum

You can use the match param to specify if we need to filter the entries using either AND(all) / OR(any). Defaults to AND.

Allowed:
string

Returns responses with start dates greater than the specified date.

string

Returns responses with start dates equal to the specified date.

string

Returns responses with start dates lesser than the specified date.

string

Returns responses with start dates greater than or equal to the specified date.

string

Returns responses with start dates lesser than or equal to the specified date.

string

Returns responses with start dates greater than the specified date.

string

Returns responses with start dates equal to the specified date.

string

Returns responses with start dates lesser than the specified date.

string

Returns responses with start dates greater than or equal to the specified date.

string

Returns responses with start dates lesser than or equal to the specified date.e.

type.eq
array of strings
length ≤ 1

Returns responses with time-offs that exactly match the specified time off type.

type.eq
Allowed:
type.oneOf
array of strings
length ≤ 3

Returns responses with time-offs that matches one of the specified time off type.

type.oneOf
Allowed:
type.noneOf
array of strings
length ≤ 3

Returns responses with time-offs that matches none of the specified time off type.

type.noneOf
Allowed:
string

Returns responses with time-offs that exactly match the specified user id.

string

Returns responses with time-offs that matches one of the specified user id.

string

Returns responses with time-offs that matches none of the specified user id.

string

Returns responses with time-offs that exactly match the specified user's email id.

string

Returns responses with time-offs that matches one of the specified user's email ids.

string

Returns responses with time-offs that matches none of the specified user's email ids.

Responses

Language
Credentials
Header
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json